import javax.swing.*;
import java.awt.*;
import com.jinsight.jetchart.*;

public class Example10 extends JFrame {
    
    public Example10() { 
	
        Graph graph=new Graph();
	
	graph.setDraggingEnabled(true);
	
	String[] labels={"label1","label2","label3","label4"};
	graph.setLabels(labels);
	
	GraphSet graphSet=graph.getGraphSet(0);

	Grid grid=graphSet.getGrid();

	grid.setEnabled(true);
	grid.setColor(Color.gray);

        String[] title={"The JetChart Library","Dragging and resizing a chart"};

        graph.setTitle(title);

        LeftTitle lt=graph.getLeftTitle();
        lt.setText("Left title");

        RightTitle rt=graph.getRightTitle();
        rt.setText("Right title");

        BottomTitle bt=graph.getBottomTitle();
        bt.setText("Bottom title");

        Container ct=getContentPane();

        ct.add("Center",graph);

        LineSerie ls=new LineSerie();
        ls.setTitle("Line series");
        ls.setColor(Color.red);
        double[] values1={100,80,90,110};
        ls.setValues(values1);

        BarSerie bs=new BarSerie();
        bs.setTitle("Bar series");
        bs.setColor(Color.blue);
        double[] values2={50,70,85,130};
        bs.setValues(values2);

        graph.addSerie(ls);
        graph.addSerie(bs);

        setSize(400,300);

        setVisible(true);


  }

  public static void main(String[] args) {
        new Example10();
  }

}


